Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5101)
@@ -43,11 +43,11 @@
     Use Write_field_p
     USE Times
-    USE infotrac, ONLY : nqtot, tracers
-    USE control_mod, ONLY : planet_type, nsplit_phys
+    USE infotrac, ONLY: nqtot, tracers
+    USE control_mod, ONLY: planet_type, nsplit_phys
     USE callphysiq_mod, ONLY: call_physiq
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
 
-    USE comvert_mod, ONLY : preff, presnivs
-    USE comconst_mod, ONLY : cpp, daysec, dtphys, dtvr, kappa, pi
+    USE comvert_mod, ONLY: preff, presnivs
+    USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
 
     !=======================================================================
@@ -115,5 +115,5 @@
     !    Arguments :
     !    -----------
-    LOGICAL, INTENT(IN) :: lafin ! .true. for the very last call to physics
+    LOGICAL, INTENT(IN) :: lafin ! .true. for the very last CALL to physics
     REAL, INTENT(IN) :: jD_cur, jH_cur
     REAL, INTENT(IN) :: pvcov(iip1, jjb_v:jje_v, llm) ! covariant meridional velocity
@@ -248,5 +248,5 @@
       write(lunout,*) '  ngridmx  jjm   iim   '
       write(lunout,*) ngridmx,jjm,iim
-      call abort_gcm("calfis_loc", "", 1)
+      CALL abort_gcm("calfis_loc", "", 1)
     ENDIF
 !$OMP MASTER
@@ -279,5 +279,5 @@
 
 !$OMP MASTER
-  call start_timer(timer_physic)
+  CALL start_timer(timer_physic)
 !$OMP END MASTER
 
@@ -832,5 +832,5 @@
 
 !$OMP MASTER
-  call stop_timer(timer_physic)
+  CALL stop_timer(timer_physic)
 !$OMP END MASTER
 
@@ -850,7 +850,7 @@
 !$OMP MASTER
 !$OMP CRITICAL (MPI)
-    call MPI_ISSEND(du_send,iim*llm,MPI_REAL8,MPI_Rank-1,401, &
+    CALL MPI_ISSEND(du_send,iim*llm,MPI_REAL8,MPI_Rank-1,401, &
           COMM_LMDZ,Req(1),ierr)
-    call MPI_ISSEND(dv_send,iim*llm,MPI_REAL8,MPI_Rank-1,402, &
+    CALL MPI_ISSEND(dv_send,iim*llm,MPI_REAL8,MPI_Rank-1,402, &
           COMM_LMDZ,Req(2),ierr)
 !$OMP END CRITICAL (MPI)
@@ -866,7 +866,7 @@
 !$OMP MASTER
 !$OMP CRITICAL (MPI)
-    call MPI_IRECV(du_recv,iim*llm,MPI_REAL8,MPI_Rank+1,401, &
+    CALL MPI_IRECV(du_recv,iim*llm,MPI_REAL8,MPI_Rank+1,401, &
           COMM_LMDZ,Req(3),ierr)
-    call MPI_IRECV(dv_recv,iim*llm,MPI_REAL8,MPI_Rank+1,402, &
+    CALL MPI_IRECV(dv_recv,iim*llm,MPI_REAL8,MPI_Rank+1,402, &
           COMM_LMDZ,Req(4),ierr)
 !$OMP END CRITICAL (MPI)
@@ -881,9 +881,9 @@
 !$OMP CRITICAL (MPI)
   if (MPI_rank>0 .and. MPI_rank< MPI_Size-1) then
-    call MPI_WAITALL(4,Req(1),Status,ierr)
+    CALL MPI_WAITALL(4,Req(1),Status,ierr)
   else if (MPI_rank>0) then
-    call MPI_WAITALL(2,Req(1),Status,ierr)
+    CALL MPI_WAITALL(2,Req(1),Status,ierr)
   else if (MPI_rank <MPI_Size-1) then
-    call MPI_WAITALL(2,Req(3),Status,ierr)
+    CALL MPI_WAITALL(2,Req(3),Status,ierr)
   endif
 !$OMP END CRITICAL (MPI)
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/callphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/callphysiq_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/callphysiq_mod.F90	(revision 5101)
@@ -27,6 +27,6 @@
   INTEGER,INTENT(IN) :: nqtot ! number of tracers
   CHARACTER(len=*),INTENT(IN) :: tname(nqtot) ! tracer names
-  LOGICAL,INTENT(IN) :: debut_split ! .true. if very first call to physics
-  LOGICAL,INTENT(IN) :: lafin_split ! .true. if last call to physics
+  LOGICAL,INTENT(IN) :: debut_split ! .true. if very first CALL to physics
+  LOGICAL,INTENT(IN) :: lafin_split ! .true. if last CALL to physics
   REAL,INTENT(IN) :: JD_cur ! Julian day
   REAL,INTENT(IN) :: JH_cur_split ! Julian hour (fraction of day)
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5101)
@@ -22,5 +22,5 @@
   USE control_mod, ONLY: planet_type, ok_dyn_xios
   USE physiq_mod, ONLY: physiq
-  USE lmdz_xios, ONLY : xios_set_current_context, xios_get_current_context, xios_context
+  USE lmdz_xios, ONLY: xios_set_current_context, xios_get_current_context, xios_context
   IMPLICIT NONE
 
@@ -29,6 +29,6 @@
   INTEGER,INTENT(IN) :: nqtot ! number of tracers
   CHARACTER(len=*),INTENT(IN) :: tname(nqtot) ! tracer names
-  LOGICAL,INTENT(IN) :: debut_split ! .true. if very first call to physics
-  LOGICAL,INTENT(IN) :: lafin_split ! .true. if last call to physics
+  LOGICAL,INTENT(IN) :: debut_split ! .true. if very first CALL to physics
+  LOGICAL,INTENT(IN) :: lafin_split ! .true. if last CALL to physics
   REAL,INTENT(IN) :: JD_cur ! Julian day
   REAL,INTENT(IN) :: JH_cur_split ! Julian hour (fraction of day)
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5101)
@@ -22,5 +22,5 @@
   USE limit,          ONLY: limit_netcdf
   USE netcdf,         ONLY: nf90_open, nf90_nowrite, nf90_close, nf90_noerr,    &
-         nf90_inquire_dimension, nf90_inq_dimid, NF90_INQ_VARID, nf90_get_var
+         nf90_inquire_dimension, nf90_inq_dimid, nf90_inq_varid, nf90_get_var
   USE infotrac,       ONLY: init_infotrac
   USE dimphy,         ONLY: klon
@@ -200,5 +200,5 @@
     END IF
     ALLOCATE(masktmp(klon))
-    iret=NF90_INQ_VARID(nid_sta,'masque',nid_msk)
+    iret=nf90_inq_varid(nid_sta,'masque',nid_msk)
     iret=nf90_get_var(nid_sta,nid_msk,masktmp)
     iret=nf90_close(nid_sta)
@@ -249,5 +249,5 @@
   END IF
   IF (using_xios) CALL xios_finalize
-  IF (using_mpi) call MPI_FINALIZE(ierr)
+  IF (using_mpi) CALL MPI_FINALIZE(ierr)
 #endif
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5101)
@@ -564,7 +564,7 @@
      endif
   enddo
-  call dump2d(imp1,jmp1,phis,'phis ')
-  call dump2d(imp1,jmp1,masque,'masque ')
-  call dump2d(imp1,jmp1,phis-phiso,'dphis ')
+  CALL dump2d(imp1,jmp1,phis,'phis ')
+  CALL dump2d(imp1,jmp1,masque,'masque ')
+  CALL dump2d(imp1,jmp1,phis-phiso,'dphis ')
 
 END SUBROUTINE filtreoro
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5101)
@@ -15,12 +15,12 @@
   USE mod_grid_phy_lmdz, ONLY: nbp_lon,nbp_lat,nbp_lev,klon_glo ! number of atmospheric columns (on full grid)
   USE mod_phys_lmdz_para, ONLY: klon_omp ! number of columns (on local omp grid)
-  USE vertical_layers_mod, ONLY : init_vertical_layers
+  USE vertical_layers_mod, ONLY: init_vertical_layers
   USE infotrac, ONLY: nbtr, type_trac
 
 #ifdef REPROBUS
-  USE CHEM_REP, ONLY : Init_chem_rep_phys
+  USE CHEM_REP, ONLY: Init_chem_rep_phys
 #ifdef CPP_PARA
-  USE parallel_lmdz, ONLY : mpi_size, mpi_rank
-  USE bands, ONLY : distrib_phys
+  USE parallel_lmdz, ONLY: mpi_size, mpi_rank
+  USE bands, ONLY: distrib_phys
 #endif
   USE mod_phys_lmdz_omp_data, ONLY: klon_omp
@@ -36,6 +36,6 @@
   USE indice_sol_mod, ONLY: nbsrf, is_oce, is_sic, is_ter, is_lic
 #ifdef CPP_PARA
-  USE parallel_lmdz, ONLY : mpi_size, mpi_rank
-  USE bands, ONLY : distrib_phys
+  USE parallel_lmdz, ONLY: mpi_size, mpi_rank
+  USE bands, ONLY: distrib_phys
 #endif
   USE mod_phys_lmdz_omp_data, ONLY: klon_omp 
@@ -137,6 +137,6 @@
   IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
-    call Init_chem_rep_phys(klon_omp,nlayer)
-    call init_reprobus_para( &
+    CALL Init_chem_rep_phys(klon_omp,nlayer)
+    CALL init_reprobus_para( &
           nbp_lon,nbp_lat,nbp_lev,klon_glo,mpi_size, &
           distrib_phys,communicator)
@@ -148,5 +148,5 @@
   IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
-    call init_reprobus_para( &
+    CALL init_reprobus_para( &
           nbp_lon,nbp_lat,nbp_lev,klon_glo,mpi_size, &
           distrib_phys,communicator)
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5101)
@@ -17,13 +17,13 @@
   !-------------------------------------------------------------------------------
 
-  USE ioipsl, ONLY : flininfo, flinopen, flinget, flinclo
-  USE assert_eq_m, ONLY : assert_eq
-  USE cal_tools_m, ONLY : year_len, mid_month
-  USE conf_dat_m, ONLY : conf_dat2d, conf_dat3d
-  USE dimphy, ONLY : klon, zmasq
-  USE geometry_mod, ONLY : longitude_deg, latitude_deg
-  USE phys_state_var_mod, ONLY : pctsrf
-  USE control_mod, ONLY : anneeref
-  USE init_ssrf_m, ONLY : start_init_subsurf
+  USE ioipsl, ONLY: flininfo, flinopen, flinget, flinclo
+  USE assert_eq_m, ONLY: assert_eq
+  USE cal_tools_m, ONLY: year_len, mid_month
+  USE conf_dat_m, ONLY: conf_dat2d, conf_dat3d
+  USE dimphy, ONLY: klon, zmasq
+  USE geometry_mod, ONLY: longitude_deg, latitude_deg
+  USE phys_state_var_mod, ONLY: pctsrf
+  USE control_mod, ONLY: anneeref
+  USE init_ssrf_m, ONLY: start_init_subsurf
 
   INTEGER, PARAMETER :: ns = 256
@@ -70,14 +70,14 @@
     !-------------------------------------------------------------------------------
     USE indice_sol_mod
-    USE netcdf, ONLY : nf90_open, nf90_create, nf90_close, &
+    USE netcdf, ONLY: nf90_open, nf90_create, nf90_close, &
             nf90_def_dim, nf90_def_var, nf90_put_var, nf90_put_att, &
             nf90_noerr, nf90_nowrite, nf90_global, &
             nf90_clobber, nf90_enddef, nf90_unlimited, nf90_float, &
             nf90_64bit_offset
-    USE lmdz_cppkeys_wrapper, ONLY : nf90_format
-    USE inter_barxy_m, ONLY : inter_barxy
-    USE netcdf95, ONLY : nf95_def_var, nf95_put_att, nf95_put_var
-    USE comconst_mod, ONLY : pi
-    USE phys_cal_mod, ONLY : calend
+    USE lmdz_cppkeys_wrapper, ONLY: nf90_format
+    USE inter_barxy_m, ONLY: inter_barxy
+    USE netcdf95, ONLY: nf95_def_var, nf95_put_att, nf95_put_var
+    USE comconst_mod, ONLY: pi
+    USE phys_cal_mod, ONLY: calend
     IMPLICIT NONE
     !-------------------------------------------------------------------------------
@@ -262,6 +262,6 @@
     CALL ncerr(nf90_def_var(nid, "ALB", nf90_format, dims, id_ALB), fnam)
     CALL ncerr(nf90_def_var(nid, "RUG", nf90_format, dims, id_RUG), fnam)
-    call nf95_def_var(nid, "longitude", nf90_float, ndim, varid_longitude)
-    call nf95_def_var(nid, "latitude", nf90_float, ndim, varid_latitude)
+    CALL nf95_def_var(nid, "longitude", nf90_float, ndim, varid_longitude)
+    CALL nf95_def_var(nid, "latitude", nf90_float, ndim, varid_latitude)
 
     !--- Attributes creation
@@ -277,9 +277,9 @@
     CALL ncerr(nf90_put_att(nid, id_RUG, "title", "Rugosite"), fnam)
 
-    call nf95_put_att(nid, varid_longitude, "standard_name", "longitude")
-    call nf95_put_att(nid, varid_longitude, "units", "degrees_east")
-
-    call nf95_put_att(nid, varid_latitude, "standard_name", "latitude")
-    call nf95_put_att(nid, varid_latitude, "units", "degrees_north")
+    CALL nf95_put_att(nid, varid_longitude, "standard_name", "longitude")
+    CALL nf95_put_att(nid, varid_longitude, "units", "degrees_east")
+
+    CALL nf95_put_att(nid, varid_latitude, "standard_name", "latitude")
+    CALL nf95_put_att(nid, varid_latitude, "units", "degrees_north")
 
     CALL ncerr(nf90_enddef(nid), fnam)
@@ -295,6 +295,6 @@
     CALL ncerr(nf90_put_var(nid, id_ALB, phy_alb(:, :), [1, 1], [klon, ndays]), fnam)
     CALL ncerr(nf90_put_var(nid, id_RUG, phy_rug(:, :), [1, 1], [klon, ndays]), fnam)
-    call nf95_put_var(nid, varid_longitude, longitude_deg)
-    call nf95_put_var(nid, varid_latitude, latitude_deg)
+    CALL nf95_put_var(nid, varid_longitude, longitude_deg)
+    CALL nf95_put_var(nid, varid_latitude, latitude_deg)
 
     CALL ncerr(nf90_close(nid), fnam)
@@ -323,10 +323,10 @@
       !     2) Dimensional variables have the same names as corresponding dimensions.
       !-----------------------------------------------------------------------------
-      USE netcdf, ONLY : nf90_open, NF90_INQ_VARID, NF90_INQUIRE_VARIABLE, &
+      USE netcdf, ONLY: nf90_open, nf90_inq_varid, nf90_inquire_variable, &
               nf90_close, nf90_inq_dimid, nf90_inquire_dimension, nf90_get_var, &
               nf90_get_att
-      USE pchsp_95_m, only : pchsp_95
-      USE pchfe_95_m, only : pchfe_95
-      USE arth_m, only : arth
+      USE pchsp_95_m, ONLY: pchsp_95
+      USE pchfe_95_m, ONLY: pchfe_95
+      USE arth_m, ONLY: arth
       USE indice_sol_mod
 
@@ -396,11 +396,11 @@
       CALL msg(5, ' Now reading file : ' // TRIM(fnam))
       CALL ncerr(nf90_open(fnam, nf90_nowrite, ncid), fnam)
-      CALL ncerr(NF90_INQ_VARID(ncid, trim(varname), varid), fnam)
-      CALL ncerr(NF90_INQUIRE_VARIABLE(ncid, varid, dimids = dids), fnam)
+      CALL ncerr(nf90_inq_varid(ncid, trim(varname), varid), fnam)
+      CALL ncerr(nf90_inquire_variable(ncid, varid, dimids = dids), fnam)
 
       !--- Longitude
       CALL ncerr(nf90_inquire_dimension(ncid, dids(1), name = dnam, len = imdep), fnam)
       ALLOCATE(dlon_ini(imdep), dlon(imdep))
-      CALL ncerr(NF90_INQ_VARID(ncid, dnam, varid), fnam)
+      CALL ncerr(nf90_inq_varid(ncid, dnam, varid), fnam)
       CALL ncerr(nf90_get_var(ncid, varid, dlon_ini), fnam)
       CALL msg(5, 'variable ' // TRIM(dnam) // ' dimension ', imdep)
@@ -409,5 +409,5 @@
       CALL ncerr(nf90_inquire_dimension(ncid, dids(2), name = dnam, len = jmdep), fnam)
       ALLOCATE(dlat_ini(jmdep), dlat(jmdep))
-      CALL ncerr(NF90_INQ_VARID(ncid, dnam, varid), fnam)
+      CALL ncerr(nf90_inq_varid(ncid, dnam, varid), fnam)
       CALL ncerr(nf90_get_var(ncid, varid, dlat_ini), fnam)
       CALL msg(5, 'variable ' // TRIM(dnam) // ' dimension ', jmdep)
@@ -416,5 +416,5 @@
       CALL ncerr(nf90_inquire_dimension(ncid, dids(3), name = dnam, len = lmdep), fnam)
       ALLOCATE(timeyear(lmdep + 2))
-      CALL ncerr(NF90_INQ_VARID(ncid, dnam, varid), fnam)
+      CALL ncerr(nf90_inq_varid(ncid, dnam, varid), fnam)
       cal_in = ' '
       IF(nf90_get_att(ncid, varid, 'calendar', cal_in)/=nf90_noerr) THEN
@@ -450,5 +450,5 @@
       CALL msg(5, '')
       CALL msg(5, 'READ AND INTERPOLATE HORIZONTALLY ', lmdep, ' FIELDS.')
-      CALL ncerr(NF90_INQ_VARID(ncid, varname, varid), fnam)
+      CALL ncerr(nf90_inq_varid(ncid, varname, varid), fnam)
       DO l = 1, lmdep
         CALL ncerr(nf90_get_var(ncid, varid, champ, [1, 1, l], [imdep, jmdep, 1]), fnam)
@@ -514,6 +514,6 @@
       IF(nf90_open(fnam_m, nf90_nowrite, ncid)==nf90_noerr) THEN
         CALL msg(0, 'Reading previous year file ("' // TRIM(fnam_m) // '") last record for ' // TRIM(title))
-        CALL ncerr(NF90_INQ_VARID(ncid, varname, varid), fnam_m)
-        CALL ncerr(NF90_INQUIRE_VARIABLE(ncid, varid, dimids = dids), fnam_m)
+        CALL ncerr(nf90_inq_varid(ncid, varname, varid), fnam_m)
+        CALL ncerr(nf90_inquire_variable(ncid, varid, dimids = dids), fnam_m)
         CALL ncerr(nf90_inquire_dimension(ncid, dids(3), len = l), fnam_m)
         CALL ncerr(nf90_get_var(ncid, varid, champ, [1, 1, l], [imdep, jmdep, 1]), fnam_m)
@@ -537,5 +537,5 @@
       IF(nf90_open(fnam_p, nf90_nowrite, ncid)==nf90_noerr) THEN
         CALL msg(0, 'Reading next year file ("' // TRIM(fnam_p) // '") first record for ' // TRIM(title))
-        CALL ncerr(NF90_INQ_VARID(ncid, varname, varid), fnam_p)
+        CALL ncerr(nf90_inq_varid(ncid, varname, varid), fnam_p)
         CALL ncerr(nf90_get_var(ncid, varid, champ, [1, 1, 1], [imdep, jmdep, 1]), fnam_p)
         CALL ncerr(nf90_close(ncid), fnam_p)
@@ -597,5 +597,5 @@
             CALL pchfe_95(timeyear, champtime(i, j, :), yder, skip, &
                     arth(0.5, real(ndays_in) / ndays, ndays), champan(i, j, :), ierr)
-            if (ierr < 0) call abort_physic("get_2Dfield", "", 1)
+            if (ierr < 0) CALL abort_physic("get_2Dfield", "", 1)
             n_extrap = n_extrap + ierr
           END DO
@@ -653,5 +653,5 @@
 
       !-------------------------------------------------------------------------------
-      USE grid_noro_m, ONLY : grid_noro0
+      USE grid_noro_m, ONLY: grid_noro0
       IMPLICIT NONE
       !===============================================================================
@@ -744,5 +744,5 @@
       ! Purpose: NetCDF errors handling.
       !-------------------------------------------------------------------------------
-      USE netcdf, ONLY : nf90_noerr, NF90_STRERROR
+      USE netcdf, ONLY: nf90_noerr, nf90_strerror
       IMPLICIT NONE
       !-------------------------------------------------------------------------------
@@ -753,5 +753,5 @@
       IF(ncres/=nf90_noerr) THEN
         WRITE(lunout, *)'Problem with file ' // TRIM(fnam) // ' in routine limit_netcdf.'
-        CALL abort_physic('limit_netcdf', NF90_STRERROR(ncres), 1)
+        CALL abort_physic('limit_netcdf', nf90_strerror(ncres), 1)
       END IF
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5101)
@@ -37,5 +37,5 @@
     ps = (/(5e4 + delta_ps * i, i = 0, ngrid - 1)/)
     forall (l = 1: llm + 1) p(:, l) = ap(l) + bp(l) * ps
-    call exner_hyb(ngrid, ps, p, pks, pk)
+    CALL exner_hyb(ngrid, ps, p, pks, pk)
     p_lay = preff * (pk / cpp)**(1. / kappa)
 
@@ -57,5 +57,5 @@
           END DO
        END DO
-       call abort_physic("test_disvert", "bad order of pressure values", 1)
+       CALL abort_physic("test_disvert", "bad order of pressure values", 1)
     end if
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_errioipsl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_errioipsl.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_errioipsl.F90	(revision 5101)
@@ -129,5 +129,5 @@
 !! the current level of the error messages
 !! and the maximum level encountered since the
-!! last call to "ipslerr_act".
+!! last CALL to "ipslerr_act".
 !!
 !! SUBROUTINE ipslerr_inq (current_level,maximum_level)
Index: LMDZ6/branches/Amaury_dev/libf/misc/j4save.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/j4save.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/j4save.F	(revision 5101)
@@ -4,5 +4,5 @@
 C***BEGIN PROLOGUE  J4SAVE
 C***SUBSIDIARY
-C***PURPOSE  Save or recall global variables needed by error
+C***PURPOSE  Save or reCALL global variables needed by error
 C            handling routines.
 C***LIBRARY   SLATEC (XERROR)
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5101)
@@ -13,8 +13,9 @@
 
 MODULE lmdz_cppkeys_wrapper
-  USE, INTRINSIC :: ISO_FORTRAN_ENV, ONLY : REAL64, REAL32
+  USE, INTRINSIC :: ISO_FORTRAN_ENV, ONLY: REAL64, REAL32
   USE netcdf, ONLY: nf90_float, nf90_double
   IMPLICIT NONE; PRIVATE
-  PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA, CPPKEY_STRATAER, CPPKEY_DUST
+  PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA, CPPKEY_STRATAER, CPPKEY_DUST, &
+      CPPKEY_DEBUGIO
 
 #ifdef NC_DOUBLE
@@ -48,3 +49,9 @@
 #endif
 
+#ifdef DEBUG_IO
+  LOGICAL, PARAMETER :: CPPKEY_DEBUGIO = .TRUE.
+#else
+  LOGICAL, PARAMETER :: CPPKEY_DEBUGIO = .FALSE.
+#endif
+
 END MODULE lmdz_cppkeys_wrapper
Index: LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F	(revision 5101)
@@ -113,5 +113,5 @@
 C        b. Change the real declaration to double precision,
 C
-C     2. Most of the coding between the call to CHFEV and the end of
+C     2. Most of the coding between the CALL to CHFEV and the end of
 C        the IR-loop could be eliminated if it were permissible to
 C        assume that XE is ordered relative to X.
Index: LMDZ6/branches/Amaury_dev/libf/misc/pchfe_95_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pchfe_95_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pchfe_95_m.F90	(revision 5101)
@@ -70,5 +70,5 @@
     n = assert_eq(size(x), size(f), size(d), "PCHFE_95 n")
     ne = assert_eq(size(xe), size(fe), "PCHFE_95 ne")
-    call PCHFE(N, X, F, D, 1, SKIP, NE, XE, FE, IERR)
+    CALL PCHFE(N, X, F, D, 1, SKIP, NE, XE, FE, IERR)
 
   end SUBROUTINE PCHFE_95
Index: LMDZ6/branches/Amaury_dev/libf/misc/pchsp_95_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pchsp_95_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pchsp_95_m.F90	(revision 5101)
@@ -109,5 +109,5 @@
     if (present(vc_beg)) vc(1) = vc_beg
     if (present(vc_end)) vc(2) = vc_end
-    call PCHSP(IC, VC, N, X, F, pchsp_95, 1, WK, size(WK), IERR)
+    CALL PCHSP(IC, VC, N, X, F, pchsp_95, 1, WK, size(WK), IERR)
     if (ierr /= 0) stop 1
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5101)
@@ -55,8 +55,8 @@
     nt = size(xt) - 1
     ! Quick check on sort order:
-    call assert(xs(1) < xs(2), "regr11_step_av xs bad order")
-    call assert(xt(1) < xt(2), "regr11_step_av xt bad order")
-
-    call assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
+    CALL assert(xs(1) < xs(2), "regr11_step_av xs bad order")
+    CALL assert(xt(1) < xt(2), "regr11_step_av xt bad order")
+
+    CALL assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
          "regr11_step_av extrapolation")
 
@@ -115,8 +115,8 @@
 
     ! Quick check on sort order:
-    call assert(xs(1) < xs(2), "regr12_step_av xs bad order")
-    call assert(xt(1) < xt(2), "regr12_step_av xt bad order")
-
-    call assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
+    CALL assert(xs(1) < xs(2), "regr12_step_av xs bad order")
+    CALL assert(xt(1) < xt(2), "regr12_step_av xt bad order")
+
+    CALL assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
          "regr12_step_av extrapolation")
 
@@ -176,8 +176,8 @@
 
     ! Quick check on sort order:
-    call assert(xs(1) < xs(2), "regr13_step_av xs bad order")
-    call assert(xt(1) < xt(2), "regr13_step_av xt bad order")
-
-    call assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
+    CALL assert(xs(1) < xs(2), "regr13_step_av xs bad order")
+    CALL assert(xt(1) < xt(2), "regr13_step_av xt bad order")
+
+    CALL assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
          "regr13_step_av extrapolation")
 
@@ -237,8 +237,8 @@
 
     ! Quick check on sort order:
-    call assert(xs(1) < xs(2), "regr14_step_av xs bad order")
-    call assert(xt(1) < xt(2), "regr14_step_av xt bad order")
-
-    call assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
+    CALL assert(xs(1) < xs(2), "regr14_step_av xs bad order")
+    CALL assert(xt(1) < xt(2), "regr14_step_av xt bad order")
+
+    CALL assert(xs(1) <= xt(1) .and. xt(nt + 1) <= xs(ns + 1), &
          "regr14_step_av extrapolation")
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5101)
@@ -49,5 +49,5 @@
 !-------------------------------------------------------------------------------
   CALL check_size(ix,SHAPE(vs),SHAPE(vt),SIZE(xs),SIZE(xt),ns,nt)
-  is = -1 ! go immediately to bisection on first call to "hunt"
+  is = -1 ! go immediately to bisection on first CALL to "hunt"
   DO it=1,SIZE(xt)
     CALL hunt(xs,xt(it),is); isb=MIN(MAX(is,1),ns-1)
@@ -78,5 +78,5 @@
 !-------------------------------------------------------------------------------
   CALL check_size(ix,SHAPE(vs),SHAPE(vt),SIZE(xs),SIZE(xt),ns,nt)
-  is = -1 ! go immediately to bisection on first call to "hunt"
+  is = -1 ! go immediately to bisection on first CALL to "hunt"
   DO it=1,SIZE(xt)
     CALL hunt(xs,xt(it),is); isb=MIN(MAX(is,1),ns-1)
@@ -108,5 +108,5 @@
 !-------------------------------------------------------------------------------
   CALL check_size(ix,SHAPE(vs),SHAPE(vt),SIZE(xs),SIZE(xt),ns,nt)
-  is = -1 ! go immediately to bisection on first call to "hunt"
+  is = -1 ! go immediately to bisection on first CALL to "hunt"
   DO it=1,SIZE(xt)
     CALL hunt(xs,xt(it),is); isb=MIN(MAX(is,1),ns-1)
@@ -139,5 +139,5 @@
 !-------------------------------------------------------------------------------
   CALL check_size(ix,SHAPE(vs),SHAPE(vt),SIZE(xs),SIZE(xt),ns,nt)
-  is = -1 ! go immediately to bisection on first call to "hunt"
+  is = -1 ! go immediately to bisection on first CALL to "hunt"
   DO it=1,SIZE(xt)
     CALL hunt(xs,xt(it),is); isb=MIN(MAX(is,1),ns-1)
@@ -171,5 +171,5 @@
 !-------------------------------------------------------------------------------
   CALL check_size(ix,SHAPE(vs),SHAPE(vt),SIZE(xs),SIZE(xt),ns,nt)
-  is = -1 ! go immediately to bisection on first call to "hunt"
+  is = -1 ! go immediately to bisection on first CALL to "hunt"
   DO it=1,SIZE(xt)
     CALL hunt(xs,xt(it),is); isb=MIN(MAX(is,1),ns-1)
Index: LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90	(revision 5101)
@@ -22,11 +22,11 @@
     integer :: ierr
     
-    call VTSYMDEF(VTcaldyn,"caldyn","caldyn",ierr)
-    call VTSYMDEF(VTintegre,"integre","integre",ierr)
-    call VTSYMDEF(VTadvection,"advection","advection",ierr)
-    call VTSYMDEF(VTdissipation,"dissipation","dissipation",ierr)
-    call VTSYMDEF(VThallo,"hallo","hallo",ierr)
-    call VTSYMDEF(VTphysiq,"physiq","physiq",ierr)
-    call VTSYMDEF(VTinca,"inca","inca",ierr)
+    CALL VTSYMDEF(VTcaldyn,"caldyn","caldyn",ierr)
+    CALL VTSYMDEF(VTintegre,"integre","integre",ierr)
+    CALL VTSYMDEF(VTadvection,"advection","advection",ierr)
+    CALL VTSYMDEF(VTdissipation,"dissipation","dissipation",ierr)
+    CALL VTSYMDEF(VThallo,"hallo","hallo",ierr)
+    CALL VTSYMDEF(VTphysiq,"physiq","physiq",ierr)
+    CALL VTSYMDEF(VTinca,"inca","inca",ierr)
 #endif
 
@@ -56,5 +56,5 @@
     integer :: ierr
     
-    call VTBEGIN(number,ierr)
+    CALL VTBEGIN(number,ierr)
 #endif 
 #ifdef USE_MPE
@@ -73,5 +73,5 @@
     integer :: ierr
    
-    call VTEND(number,ierr)
+    CALL VTEND(number,ierr)
 #endif    
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90	(revision 5101)
@@ -46,5 +46,5 @@
       
       Dim=shape(Field)
-      call WriteField_gen(name,Field,Dim(1),Dim(2),Dim(3))  
+      CALL WriteField_gen(name,Field,Dim(1),Dim(2),Dim(3))
   
     end subroutine WriteField3d
@@ -57,5 +57,5 @@
       
       Dim=shape(Field)
-      call WriteField_gen(name,Field,Dim(1),Dim(2),1)  
+      CALL WriteField_gen(name,Field,Dim(1),Dim(2),1)
   
     end subroutine WriteField2d
@@ -68,5 +68,5 @@
       
       Dim=shape(Field)
-      call WriteField_gen(name,Field,Dim(1),1,1)  
+      CALL WriteField_gen(name,Field,Dim(1),1,1)
   
     end subroutine WriteField1d
@@ -86,5 +86,5 @@
       Index=GetFieldIndex(name)
       if (Index==-1) then
-        call CreateNewField(name,dimx,dimy,dimz)
+        CALL CreateNewField(name,dimx,dimy,dimz)
 	Index=GetFieldIndex(name)
       else
